## IdeLspHighlighter IdeLspHighlighter |

## Functions

IdeLspClient * | ide_lsp_highlighter_get_client ()
void | ide_lsp_highlighter_set_client ()

## Properties

IdeLspClient * | client | Read / Write

## Types and Values

#define | IDE_TYPE_LSP_HIGHLIGHTER
struct | IdeLspHighlighterClass
| IdeLspHighlighter

## Object Hierarchy

        GObject
        ╰── IdeObject
            ╰── IdeLspHighlighter

## Implemented Interfaces

IdeLspHighlighter implements IdeHighlighter.

## Description

## Functions

### ide_lsp_highlighter_get_client ()

    IdeLspClient *
    ide_lsp_highlighter_get_client (IdeLspHighlighter *self);

#### Returns

An IdeLspHighlighter or `NULL`.

[transfer none][nullable]

### ide_lsp_highlighter_set_client ()

    void
    ide_lsp_highlighter_set_client (IdeLspHighlighter *self,
                                    IdeLspClient *client);

## Types and Values

### IDE_TYPE_LSP_HIGHLIGHTER

    #define IDE_TYPE_LSP_HIGHLIGHTER (ide_lsp_highlighter_get_type())

### struct IdeLspHighlighterClass

    struct IdeLspHighlighterClass {
      IdeObjectClass parent_class;
    };

### IdeLspHighlighter

    typedef struct _IdeLspHighlighter IdeLspHighlighter;

## Property Details

### The `“client”` property

      “client”                   IdeLspClient *

Client.

Owner: IdeLspHighlighter

Flags: Read / Write